
`default_nettype none

module top(
	input  wire Reset,				// 17
	input  wire Play_i,				// 66
	input  wire Stop_i,				// 69
	
	output wire SoundWave_o,		// 28
	output wire Busy_o				// 12
);

	// Generator sygnau zegarowego
	parameter CLOCK_HZ = 14_000_000;
	wire Clock;
	OSCH #(
		.NOM_FREQ("14.00")
	) OSCH_inst(
		.STDBY(1'b0),
		.OSC(Clock),
		.SEDSTDBY()
	);
	
	// Instancja generatora dwikw
	SoundGenerator #(
		.CLOCK_HZ(CLOCK_HZ)
	) DUT(
		.Clock(Clock),
		.Reset(Reset),
		.Start_i(!Play_i),
		.Finish_i(!Stop_i),
		.Duration_ms_i(16'd1000),
		.HalfPeriod_us_i(16'd100),
		.SoundWave_o(SoundWave_o),
		.Busy_o(Busy_o),
		.Done_o()
	);

endmodule

`default_nettype wire
